GrailsProjectConsole (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.project.ui

## [Groovy] Class GrailsProjectConsole

- org.codehaus.groovy.grails.project.ui.GrailsProjectConsole

- Loads the Grails console Swing UI

  Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseSettingsApi` | `appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsProjectCompiler` | `projectCompiler`
    `GrailsProjectLoader` | `projectLoader`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsProjectConsole (BuildSettings buildSettings)`
    `GrailsProjectConsole (GrailsProjectLoader projectLoader)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.io.Console` | `createConsole()`
    `protected java.io.Console` | `createConsole(org.springframework.context.ApplicationContext applicationContext, GrailsApplication grailsApplication)`
    `java.io.Console` | `run()`
    `protected void` | `sleepWhileActive()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseSettingsApi` | `confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### GrailsProjectCompiler projectCompiler

    - #### GrailsProjectLoader projectLoader

  - ### Constructor Detail

    - #### GrailsProjectConsole(BuildSettings buildSettings)

    - #### GrailsProjectConsole(GrailsProjectLoader projectLoader)

  - ### Method Detail

    - #### java.io.Console createConsole()

    - #### protected java.io.Console createConsole(org.springframework.context.ApplicationContext applicationContext, GrailsApplication grailsApplication)

    - #### java.io.Console run()

    - #### protected void sleepWhileActive()